### Namespace

# GUsb – 1.0

GUsb is a GLib wrapper for libusb1

Version | 0.4.9
Authors | GUsb Development Team
License | LGPL-2.1-or-later
Website | https://github.com/hughsie/libgusb
Source | https://github.com/hughsie/libgusb

#### Build

C headers | `gusb.h`
pkg-config files | `gusb`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation
Gio—2.0 | A modern, easy-to-use VFS API
| Browse documentation
Json—1.0 | API for efficient parsing and writing of JSON (JavaScript Object Notation) streams
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

BosDescriptor |
Context |
Device |
DeviceEvent |
DeviceList |
Endpoint |
Interface |

#### Structs

Source |

#### Enumerations

ContextError |
DeviceClassCode | The USB device class.
DeviceDirection | The message direction.
DeviceError | The error code.
DeviceLangid | The USB language ID.
DeviceRecipient | The message recipient.
DeviceRequestType | The message request type.

#### Bitfields

ContextFlags | The flags to use for the context.
DeviceClaimInterfaceFlags | Flags for the g_usb_device_claim_interface and g_usb_device_release_interface methods flags parameters.

#### Error Domains

SourceError | The error code.

#### Functions

strerror | Converts the error code into a string. since: 0.1.0
version_string | Gets the GUsb installed runtime version. since: 0.3.1

#### Function Macros

CHECK_VERSION | Check whether a gusb version equal to or greater than major.minor.micro.

#### Constants

MAJOR_VERSION | The compile-time major version.
MICRO_VERSION | The compile-time micro version.
MINOR_VERSION | The compile-time minor version.